--------------------------------------------------------
--  DDL for Table HITUNG_PERIZINAN_HARIAN
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."HITUNG_PERIZINAN_HARIAN" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"UPDATE_TMS" TIMESTAMP (6) DEFAULT NULL, 
	"UPDATE_USER" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"HARI" DATE DEFAULT NULL, 
	"ID_M_INSTANSI" NUMBER(11,0) DEFAULT NULL, 
	"ID_M_JENIS_PERIZINAN" NUMBER(11,0) DEFAULT NULL, 
	"HITUNG_PENGAJUAN" NUMBER(11,0) DEFAULT 0, 
	"HITUNG_SELESAI" NUMBER(11,0) DEFAULT 0, 
	"HITUNG_TERLAMBAT" NUMBER(11,0) DEFAULT 0, 
	"HITUNG_ON_TIME" NUMBER(11,0) DEFAULT 0
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS" ;
--------------------------------------------------------
--  DDL for Table HITUNG_PERIZINAN_ON_PROSES
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."HITUNG_PERIZINAN_ON_PROSES" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"UPDATE_TMS" TIMESTAMP (6) DEFAULT NULL, 
	"UPDATE_USER" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"ID_M_INSTANSI" NUMBER(11,0) DEFAULT NULL, 
	"ID_M_JENIS_PERIZINAN" NUMBER(11,0) DEFAULT NULL, 
	"TOTAL_IZIN" NUMBER(11,0) DEFAULT 0
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  DDL for Table M_BIDANG_USAHA
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."M_BIDANG_USAHA" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(255 BYTE) DEFAULT NULL, 
	"UPDATE_TMS" TIMESTAMP (6) DEFAULT NULL, 
	"UPDATE_USER" VARCHAR2(255 BYTE) DEFAULT NULL, 
	"ID_M_BIDANG_USAHA" NUMBER(11,0) DEFAULT NULL, 
	"NAMA_BIDANG_USAHA" VARCHAR2(50 BYTE) DEFAULT NULL, 
	"ABBRV" VARCHAR2(50 BYTE) DEFAULT NULL, 
	"ID_M_INSTANSI" NUMBER(11,0), 
	"ID_M_DIREKTORAT" NUMBER(11,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  DDL for Table M_CONTROL
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."M_CONTROL" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(255 BYTE), 
	"UPDATE_TMS" TIMESTAMP (6), 
	"UPDATE_USER" VARCHAR2(255 BYTE), 
	"ID_M_CONTROL" NUMBER(6,0), 
	"GROUP_CONTROL" VARCHAR2(50 BYTE), 
	"NAMA_CONTROL" VARCHAR2(50 BYTE), 
	"IS_MANDATORY" VARCHAR2(1 BYTE), 
	"FILENAME" VARCHAR2(100 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table M_DIREKTORAT
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."M_DIREKTORAT" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(50 BYTE) DEFAULT 'NULL', 
	"UPDATE_TMS" TIMESTAMP (6) DEFAULT NULL, 
	"UPDATE_USER" VARCHAR2(50 BYTE) DEFAULT 'NULL', 
	"ID_M_DIREKTORAT" NUMBER(11,0) DEFAULT NULL, 
	"NAMA_DIREKTORAT" VARCHAR2(100 BYTE) DEFAULT 'NULL', 
	"ABBRV" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"ID_M_INSTANSI" NUMBER(11,0) DEFAULT NULL, 
	"ISDELATED" VARCHAR2(5 BYTE) DEFAULT 'NULL'
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  DDL for Table M_FLOW_DETAIL
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."M_FLOW_DETAIL" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(255 BYTE), 
	"UPDATE_TMS" TIMESTAMP (6), 
	"UPDATE_USER" VARCHAR2(255 BYTE), 
	"ID_M_FLOW_DETAIL" NUMBER(6,0), 
	"ID_M_FLOW_IZIN_TERINTEGRASI" NUMBER(6,0), 
	"NAMA_FLOW_DETAIL" VARCHAR2(255 BYTE), 
	"KETERANGAN" VARCHAR2(255 BYTE), 
	"URUTAN" NUMBER(6,0), 
	"ID_M_INSTANSI" NUMBER(6,0), 
	"SLA_INSTANSI" NUMBER(6,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS" ;
--------------------------------------------------------
--  DDL for Table M_FLOW_DETAIL_IZIN
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."M_FLOW_DETAIL_IZIN" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(255 BYTE), 
	"UPDATE_TMS" TIMESTAMP (6), 
	"UPDATE_USER" VARCHAR2(255 BYTE), 
	"ID_M_FLOW_DETAIL_IZIN" NUMBER(6,0), 
	"ID_M_FLOW_DETAIL" NUMBER(6,0), 
	"ID_M_JENIS_PERIZINAN" NUMBER(6,0), 
	"SLA_IZIN" NUMBER(6,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS" ;
--------------------------------------------------------
--  DDL for Table M_FLOW_IZIN_TERINTEGRASI
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."M_FLOW_IZIN_TERINTEGRASI" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(255 BYTE), 
	"UPDATE_TMS" TIMESTAMP (6), 
	"UPDATE_USER" VARCHAR2(255 BYTE), 
	"ID_M_FLOW_IZIN_TERINTEGRASI" NUMBER(6,0), 
	"NO_SOP" NUMBER(6,0), 
	"NAMA_FLOW" VARCHAR2(255 BYTE), 
	"KETERANGAN" VARCHAR2(255 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS" ;
--------------------------------------------------------
--  DDL for Table M_INSTANSI
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."M_INSTANSI" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(50 BYTE) DEFAULT NULL, 
	"UPDATE_TMS" TIMESTAMP (6) DEFAULT NULL, 
	"UPDATE_USER" VARCHAR2(50 BYTE) DEFAULT NULL, 
	"ID_M_INSTANSI" NUMBER(11,0) DEFAULT NULL, 
	"NAMA_INSTANSI" VARCHAR2(100 BYTE) DEFAULT NULL, 
	"ABBRV" VARCHAR2(255 BYTE) DEFAULT NULL, 
	"ISDELATED" VARCHAR2(5 BYTE) DEFAULT NULL, 
	"ISBKO" VARCHAR2(5 BYTE), 
	"FILENAME" VARCHAR2(100 BYTE), 
	"FILENAME_ENG" VARCHAR2(100 BYTE), 
	"NAMA_INSTANSI_ENG" VARCHAR2(100 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  DDL for Table M_JENIS_PERIZINAN
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."M_JENIS_PERIZINAN" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(255 BYTE) DEFAULT NULL, 
	"UPDATE_TMS" TIMESTAMP (6) DEFAULT NULL, 
	"UPDATE_USER" VARCHAR2(255 BYTE) DEFAULT NULL, 
	"ID_M_JENIS_PERIZINAN" NUMBER(11,0) DEFAULT NULL, 
	"NAMA_JENIS_PERIZINAN" VARCHAR2(255 BYTE) DEFAULT NULL, 
	"ABBRV" VARCHAR2(255 BYTE) DEFAULT NULL, 
	"ID_M_DIREKTORAT" NUMBER(11,0) DEFAULT NULL, 
	"SOP" NUMBER(6,0) DEFAULT NULL, 
	"THRESHOLD" NUMBER(6,0) DEFAULT NULL, 
	"KATEGORI" VARCHAR2(50 BYTE) DEFAULT NULL, 
	"M_ID_BIDANG_USAHA" NUMBER(11,0), 
	"ISACTIVE" VARCHAR2(10 BYTE), 
	"URL_REPORT" VARCHAR2(1000 BYTE), 
	"FORMAT_PENOMORAN" VARCHAR2(100 BYTE), 
	"JABATAN_TTD" VARCHAR2(100 BYTE), 
	"NAMA_TTD" VARCHAR2(50 BYTE), 
	"NIP_TTD" VARCHAR2(50 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  DDL for Table M_JENIS_PERIZINAN_CONTROL_KL
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."M_JENIS_PERIZINAN_CONTROL_KL" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(255 BYTE), 
	"UPDATE_TMS" TIMESTAMP (6), 
	"UPDATE_USER" VARCHAR2(255 BYTE), 
	"ID_M_JENIS_PERIZINAN" NUMBER(6,0), 
	"ID_M_CONTROL" NUMBER(6,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table M_JENIS_PERIZINAN_TEMPLATE
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."M_JENIS_PERIZINAN_TEMPLATE" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(255 BYTE), 
	"UPDATE_TMS" TIMESTAMP (6), 
	"UPDATE_USER" VARCHAR2(255 BYTE), 
	"ID_M_JENIS_PERIZINAN_TEMPLATE" NUMBER(11,0), 
	"ID_M_JENIS_PERIZINAN" NUMBER(6,0), 
	"JUDUL_INFO" VARCHAR2(100 BYTE), 
	"NO_URUT_INFO" NUMBER(6,0), 
	"ISI_INFO" VARCHAR2(4000 BYTE), 
	"NAMA_JENIS_PERIZINAN" VARCHAR2(255 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table M_KATEGORI_BIDANG_USAHA
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."M_KATEGORI_BIDANG_USAHA" 
   (	"CREATE_TMS" TIMESTAMP (6) DEFAULT NULL, 
	"CREATE_USER" VARCHAR2(255 BYTE) DEFAULT NULL, 
	"UPDATE_TMS" TIMESTAMP (6) DEFAULT NULL, 
	"UPDATE_USER" VARCHAR2(255 BYTE) DEFAULT NULL, 
	"ID_KATEGORI_BIDANG_USAHA" NUMBER(11,0) DEFAULT NULL, 
	"NAMA_KATEGORI_BIDANG_USAHA" VARCHAR2(255 BYTE), 
	"ID_KATEGORI_KBLI" VARCHAR2(5 BYTE), 
	"NAMA_KATEGORI_KBLI" VARCHAR2(255 BYTE), 
	"DESKRIPSI" VARCHAR2(255 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  DDL for Table M_KLASI_PERIZINAN_DETAIL
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."M_KLASI_PERIZINAN_DETAIL" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"UPDATE_TMS" TIMESTAMP (6) DEFAULT NULL, 
	"UPDATE_USER" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"ID_M_KLASI_PERIZINAN_DETAIL" NUMBER(11,0) DEFAULT NULL, 
	"ID_M_KLASI_PERIZINAN_HEADER" NUMBER(11,0) DEFAULT NULL, 
	"ID_M_JENIS_PERIZINAN" NUMBER(11,0) DEFAULT NULL
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  DDL for Table M_KLASI_PERIZINAN_HEADER
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."M_KLASI_PERIZINAN_HEADER" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(50 BYTE) DEFAULT 'NULL', 
	"UPDATE_TMS" TIMESTAMP (6) DEFAULT NULL, 
	"UPDATE_USER" VARCHAR2(50 BYTE) DEFAULT 'NULL', 
	"ID_M_KLASI_PERIZINAN_HEADER" NUMBER(11,0) DEFAULT NULL, 
	"NAMA_KLASI_PERIZINAN_HEADER" VARCHAR2(100 BYTE) DEFAULT 'NULL', 
	"ID_M_INSTANSI" NUMBER(11,0) DEFAULT NULL, 
	"ID_M_DIREKTORAT" NUMBER(11,0) DEFAULT NULL, 
	"ID_M_BIDANG_USAHA" NUMBER(11,0) DEFAULT NULL, 
	"SOP_TOTAL" NUMBER(6,0) DEFAULT NULL, 
	"IS_DRAFT" VARCHAR2(5 BYTE) DEFAULT 'NULL', 
	"ID_M_KATEGORI_BIDANG_USAHA" NUMBER(11,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  DDL for Table M_LOOKUP
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."M_LOOKUP" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(255 BYTE) DEFAULT NULL, 
	"UPDATE_TMS" TIMESTAMP (6) DEFAULT NULL, 
	"UPDATE_USER" VARCHAR2(255 BYTE) DEFAULT NULL, 
	"JENIS_LOOKUP" VARCHAR2(10 BYTE) DEFAULT NULL, 
	"ID_LOOKUP" VARCHAR2(10 BYTE) DEFAULT NULL, 
	"DESKRIPSI" VARCHAR2(255 BYTE) DEFAULT '0', 
	"ORDER_BY" NUMBER(11,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  DDL for Table M_MENUS
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."M_MENUS" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(255 BYTE), 
	"UPDATE_TMS" TIMESTAMP (6), 
	"UPDATE_USER" VARCHAR2(255 BYTE), 
	"NAMA_MENU" VARCHAR2(50 BYTE), 
	"NAMA_SUBMENU" VARCHAR2(50 BYTE), 
	"ID_M_MENUS" NUMBER(11,0), 
	"FILENAME" VARCHAR2(100 BYTE), 
	"ISHIDE" VARCHAR2(5 BYTE), 
	"SEQ" NUMBER(6,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  DDL for Table M_ROLES
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."M_ROLES" 
   (	"CREATE_TMS" TIMESTAMP (6) DEFAULT NULL, 
	"CREATE_USER" VARCHAR2(255 BYTE) DEFAULT NULL, 
	"UPDATE_TMS" TIMESTAMP (6) DEFAULT NULL, 
	"UPDATE_USER" VARCHAR2(255 BYTE) DEFAULT NULL, 
	"ID_M_ROLES" NUMBER(11,0) DEFAULT NULL, 
	"NAMA_ROLES" VARCHAR2(255 BYTE) DEFAULT NULL
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  DDL for Table M_ROLES_MENUS
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."M_ROLES_MENUS" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(255 BYTE), 
	"UPDATE_TMS" TIMESTAMP (6), 
	"UPDATE_USER" VARCHAR2(255 BYTE), 
	"ID_M_ROLES" NUMBER(11,0), 
	"ID_M_MENUS" NUMBER(11,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  DDL for Table M_SOP_SLA
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."M_SOP_SLA" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(255 BYTE), 
	"UPDATE_TMS" TIMESTAMP (6), 
	"UPDATE_USER" VARCHAR2(255 BYTE), 
	"ID_M_SOP" NUMBER(6,0), 
	"SLA_IZIN" NUMBER(6,0), 
	"DURASI_HARI" NUMBER(6,0), 
	"KETERANGAN" VARCHAR2(255 BYTE), 
	"ID_M_SOP_SLA" NUMBER(6,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS" ;
--------------------------------------------------------
--  DDL for Table M_USER
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."M_USER" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(255 BYTE) DEFAULT NULL, 
	"UPDATE_TMS" TIMESTAMP (6) DEFAULT NULL, 
	"UPDATE_USER" VARCHAR2(255 BYTE) DEFAULT NULL, 
	"ID_M_USER" VARCHAR2(30 BYTE) DEFAULT NULL, 
	"NAMA_USER" VARCHAR2(255 BYTE) DEFAULT NULL, 
	"PASSWORD" VARCHAR2(60 BYTE) DEFAULT NULL, 
	"ID_M_INSTANSI" NUMBER(11,0) DEFAULT NULL, 
	"ID_M_USER_ROLES" NUMBER(11,0) DEFAULT NULL, 
	"ID_M_DIREKTORAT" NUMBER(*,0), 
	"JABATAN" VARCHAR2(100 BYTE), 
	"TELP" VARCHAR2(50 BYTE), 
	"EMAIL" VARCHAR2(50 BYTE), 
	"REMEMBER_TOKEN" VARCHAR2(100 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  DDL for Table M_USER_ROLES
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."M_USER_ROLES" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(255 BYTE), 
	"UPDATE_TMS" TIMESTAMP (6), 
	"UPDATE_USER" VARCHAR2(255 BYTE), 
	"ID_M_ROLES" NUMBER(11,0), 
	"ID_M_USER" VARCHAR2(30 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  DDL for Table MAP_SOP_WARNING
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."MAP_SOP_WARNING" 
   (	"CREATE_TMS" TIMESTAMP (6) DEFAULT NULL, 
	"CREATE_USER" VARCHAR2(255 BYTE) DEFAULT NULL, 
	"UPDATE_TMS" TIMESTAMP (6) DEFAULT NULL, 
	"UPDATE_USER" VARCHAR2(255 BYTE) DEFAULT NULL, 
	"SOP" NUMBER(6,0) DEFAULT NULL, 
	"WARNING" NUMBER(6,0) DEFAULT NULL
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  DDL for Table T_KONSULTASI
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."T_KONSULTASI" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(255 BYTE), 
	"UPDATE_TMS" TIMESTAMP (6), 
	"UPDATE_USER" VARCHAR2(255 BYTE), 
	"ID_KONSULTASI" NUMBER(11,0), 
	"ID_M_INSTANSI" NUMBER(11,0), 
	"ID_M_DIREKTORAT" NUMBER(11,0), 
	"NAMA_INSTANSI" VARCHAR2(100 BYTE), 
	"NAMA_DIREKTORAT" VARCHAR2(100 BYTE), 
	"NAMA_TAMU" VARCHAR2(100 BYTE), 
	"NAMA_PERUSAHAAN" VARCHAR2(100 BYTE), 
	"ALAMAT" VARCHAR2(100 BYTE), 
	"TELEPON" VARCHAR2(50 BYTE), 
	"EMAIL" VARCHAR2(50 BYTE), 
	"ID_KONSUL_CAT" NUMBER(11,0), 
	"JUDUL_KONSULTASI" VARCHAR2(100 BYTE), 
	"PERTANYAAN" VARCHAR2(4000 BYTE), 
	"JAWABAN" VARCHAR2(4000 BYTE), 
	"NAMA_PETUGAS" VARCHAR2(50 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS" ;
--------------------------------------------------------
--  DDL for Table T_M_LIBUR
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."T_M_LIBUR" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(255 BYTE), 
	"UPDATE_TMS" TIMESTAMP (6), 
	"UPDATE_USER" VARCHAR2(255 BYTE), 
	"TAHUN" NUMBER(11,0), 
	"TANGGAL_LIBUR" DATE, 
	"DESKRIPSI" VARCHAR2(255 BYTE), 
	"AKHIR_PEKAN" CHAR(1 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS" ;
--------------------------------------------------------
--  DDL for Table T_REG_PT
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."T_REG_PT" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"ID_QRCODE" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"NO_IP" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"NO_PERUSAHAAN" NUMBER(6,0) DEFAULT NULL, 
	"NAMA_PERUSAHAAN" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"TANGGAL_PENGAJUAN" TIMESTAMP (6) DEFAULT NULL, 
	"TANGGAL_SELESAI" TIMESTAMP (6) DEFAULT NULL, 
	"FLAG" VARCHAR2(50 CHAR), 
	"NPWP" VARCHAR2(25 BYTE), 
	"ALAMAT" VARCHAR2(1000 BYTE), 
	"ID_PROVINSI" NUMBER, 
	"NAMA_PROVINSI" VARCHAR2(50 BYTE), 
	"ID_KABKOT" NUMBER, 
	"NAMA_KABKOT" VARCHAR2(100 BYTE), 
	"TELEPON" VARCHAR2(100 BYTE), 
	"FAX" VARCHAR2(100 BYTE), 
	"EMAIL" VARCHAR2(50 BYTE), 
	"UPDATE_TMS" TIMESTAMP (6), 
	"UPDATE_USER" VARCHAR2(255 BYTE), 
	"NAMA_PIMPINAN" VARCHAR2(50 BYTE), 
	"FOTO_PIMPINAN" BLOB, 
	"STATUS_PENANAMAN_MODAL" VARCHAR2(10 BYTE), 
	"JABATAN_PIMPINAN" VARCHAR2(100 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS" 
 LOB ("FOTO_PIMPINAN") STORE AS BASICFILE "SYS_LOB0000197638C00022$$"(
  TABLESPACE "PTSPTS" ENABLE STORAGE IN ROW CHUNK 8192 RETENTION 
  NOCACHE LOGGING 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)) ;
--------------------------------------------------------
--  DDL for Table T_SPIPISE_IP
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."T_SPIPISE_IP" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"ID_QRCODE" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"NO_IP" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"NO_PERUSAHAAN" NUMBER(6,0) DEFAULT NULL, 
	"NAMA_PERUSAHAAN" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"TANGGAL_PENGAJUAN" TIMESTAMP (6) DEFAULT NULL, 
	"TANGGAL_SELESAI" TIMESTAMP (6) DEFAULT NULL, 
	"ID_M_FLOW_IZIN_TERINTEGRASI" NUMBER(6,0), 
	"UPDATE_TMS" TIMESTAMP (6), 
	"UPDATE_USER" VARCHAR2(255 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS" ;
--------------------------------------------------------
--  DDL for Table TRACKING_REGISTER_DETAIL
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."TRACKING_REGISTER_DETAIL" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(255 BYTE) DEFAULT NULL, 
	"UPDATE_TMS" TIMESTAMP (6) DEFAULT NULL, 
	"UPDATE_USER" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"ID_TRACKING_REGISTER_DETAIL" NUMBER(11,0) DEFAULT NULL, 
	"ID_QRCODE" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"ID_M_JENIS_PERIZINAN" NUMBER(11,0) DEFAULT NULL, 
	"NAMA_JENIS_PERIZINAN" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"ABBRV" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"SOP" NUMBER(11,0) DEFAULT NULL, 
	"THRESHOLD" NUMBER(6,0) DEFAULT NULL, 
	"KATEGORI" VARCHAR2(50 BYTE) DEFAULT 'NULL', 
	"NO_IZIN" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"IS_DRAFT" VARCHAR2(5 BYTE) DEFAULT 'NULL', 
	"ID_M_INSTANSI" NUMBER(11,0) DEFAULT NULL, 
	"ID_M_DIREKTORAT" NUMBER(11,0) DEFAULT NULL, 
	"ID_M_BIDANG_USAHA" NUMBER(11,0) DEFAULT NULL, 
	"NAMA_INSTANSI" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"NAMA_DIREKTORAT" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"NAMA_BIDANG_USAHA" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"TANGGAL_PENGAJUAN" TIMESTAMP (6) DEFAULT NULL, 
	"TANGGAL_SELESAI_ESTIMASI" TIMESTAMP (6) DEFAULT NULL, 
	"TANGGAL_SELESAI" TIMESTAMP (6) DEFAULT NULL, 
	"PROSES_FLAG" CHAR(1 BYTE) DEFAULT NULL, 
	"PERFORMANCE" CHAR(1 BYTE) DEFAULT NULL, 
	"LAMA_PROSES" NUMBER(6,0) DEFAULT NULL, 
	"IS_TRACK" CHAR(1 BYTE) DEFAULT NULL, 
	"NO_PERUSAHAAN" NUMBER(6,0) DEFAULT NULL, 
	"NAMA_PERUSAHAAN" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"TANGGAL_WARNING" TIMESTAMP (6), 
	"TANGGAL_THRESHOLD" TIMESTAMP (6), 
	"ID_STOP" NUMBER(11,0), 
	"ID_M_FLOW_DETAIL_IZIN" NUMBER(6,0), 
	"ID_M_FLOW_DETAIL" NUMBER(6,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS" ;
--------------------------------------------------------
--  DDL for Table TRACKING_REGISTER_DETAIL_STOP
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."TRACKING_REGISTER_DETAIL_STOP" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(255 BYTE), 
	"UPDATE_TMS" TIMESTAMP (6), 
	"UPDATE_USER" VARCHAR2(255 BYTE), 
	"ID_QRCODE" VARCHAR2(255 BYTE), 
	"ID_TRACKING_REGISTER_DETAIL" NUMBER(11,0), 
	"TANGGAL_STOP" TIMESTAMP (6), 
	"SOP_USED" NUMBER(6,0), 
	"ALASAN_STOP" VARCHAR2(100 BYTE), 
	"TANGGAL_RESTART" TIMESTAMP (6), 
	"ID_STOP" NUMBER(11,0), 
	"LAST_WARNING_DATE" TIMESTAMP (6), 
	"LAST_THRESHOLD_DATE" TIMESTAMP (6), 
	"LAST_ESTIMATE_DATE" TIMESTAMP (6)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table TRACKING_REGISTER_HEADER
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."TRACKING_REGISTER_HEADER" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"UPDATE_TMS" TIMESTAMP (6) DEFAULT NULL, 
	"UPDATE_USER" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"ID_QRCODE" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"NO_PERUSAHAAN" NUMBER(6,0) DEFAULT NULL, 
	"NAMA_PERUSAHAAN" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"ID_M_INSTANSI" NUMBER(6,0) DEFAULT NULL, 
	"ID_M_DIREKTORAT" NUMBER(6,0) DEFAULT NULL, 
	"ID_M_BIDANG_USAHA" NUMBER(6,0) DEFAULT NULL, 
	"IS_DRAFT" VARCHAR2(5 BYTE) DEFAULT 'NULL', 
	"NAMA_INSTANSI" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"NAMA_DIREKTORAT" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"NAMA_BIDANG_USAHA" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"SOP_TOTAL" NUMBER(6,0) DEFAULT NULL, 
	"ID_M_KLASI_PERIZINAN_HEADER" NUMBER(11,0), 
	"NAMA_KLASI_PERIZINAN_HEADER" VARCHAR2(100 BYTE), 
	"TANGGAL_ESTIMASI_SELESAI" TIMESTAMP (6) DEFAULT NULL, 
	"TANGGAL_IPPENGAJUAN" TIMESTAMP (6) DEFAULT NULL, 
	"NO_IP" VARCHAR2(255 BYTE) DEFAULT 'NULL'
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS" ;
--------------------------------------------------------
--  DDL for Index SYS_C0097416
--------------------------------------------------------

  CREATE UNIQUE INDEX "PTSPTS"."SYS_C0097416" ON "PTSPTS"."HITUNG_PERIZINAN_HARIAN" ("HARI", "ID_M_INSTANSI", "ID_M_JENIS_PERIZINAN") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS" ;
--------------------------------------------------------
--  DDL for Index SYS_C0097419
--------------------------------------------------------

  CREATE UNIQUE INDEX "PTSPTS"."SYS_C0097419" ON "PTSPTS"."HITUNG_PERIZINAN_ON_PROSES" ("ID_M_INSTANSI", "ID_M_JENIS_PERIZINAN") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  DDL for Index SYS_C0097425
--------------------------------------------------------

  CREATE UNIQUE INDEX "PTSPTS"."SYS_C0097425" ON "PTSPTS"."M_BIDANG_USAHA" ("ID_M_BIDANG_USAHA") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  DDL for Index SYS_C0097427
--------------------------------------------------------

  CREATE UNIQUE INDEX "PTSPTS"."SYS_C0097427" ON "PTSPTS"."M_DIREKTORAT" ("ID_M_DIREKTORAT") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  DDL for Index SYS_C0097429
--------------------------------------------------------

  CREATE UNIQUE INDEX "PTSPTS"."SYS_C0097429" ON "PTSPTS"."M_INSTANSI" ("ID_M_INSTANSI") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  DDL for Index SYS_C0097431
--------------------------------------------------------

  CREATE UNIQUE INDEX "PTSPTS"."SYS_C0097431" ON "PTSPTS"."M_JENIS_PERIZINAN" ("ID_M_JENIS_PERIZINAN") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  DDL for Index ID_M_JENIS_PERIZINAN_TEMPLATE
--------------------------------------------------------

  CREATE UNIQUE INDEX "PTSPTS"."ID_M_JENIS_PERIZINAN_TEMPLATE" ON "PTSPTS"."M_JENIS_PERIZINAN_TEMPLATE" ("ID_M_JENIS_PERIZINAN_TEMPLATE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index SYS_C0097433
--------------------------------------------------------

  CREATE UNIQUE INDEX "PTSPTS"."SYS_C0097433" ON "PTSPTS"."M_KLASI_PERIZINAN_DETAIL" ("ID_M_KLASI_PERIZINAN_DETAIL") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  DDL for Index SYS_C0097435
--------------------------------------------------------

  CREATE UNIQUE INDEX "PTSPTS"."SYS_C0097435" ON "PTSPTS"."M_KLASI_PERIZINAN_HEADER" ("ID_M_KLASI_PERIZINAN_HEADER") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  DDL for Index SYS_C0097438
--------------------------------------------------------

  CREATE UNIQUE INDEX "PTSPTS"."SYS_C0097438" ON "PTSPTS"."M_LOOKUP" ("JENIS_LOOKUP", "ID_LOOKUP") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  DDL for Index SYS_C0098294
--------------------------------------------------------

  CREATE UNIQUE INDEX "PTSPTS"."SYS_C0098294" ON "PTSPTS"."M_ROLES" ("ID_M_ROLES") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  DDL for Index M_SOP_SLA_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "PTSPTS"."M_SOP_SLA_PK" ON "PTSPTS"."M_SOP_SLA" ("ID_M_SOP_SLA") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;
--------------------------------------------------------
--  DDL for Index SYS_C0097440
--------------------------------------------------------

  CREATE UNIQUE INDEX "PTSPTS"."SYS_C0097440" ON "PTSPTS"."M_USER" ("ID_M_USER") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  DDL for Index SYS_C0098293
--------------------------------------------------------

  CREATE UNIQUE INDEX "PTSPTS"."SYS_C0098293" ON "PTSPTS"."MAP_SOP_WARNING" ("SOP") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  DDL for Index SYS_C00110363
--------------------------------------------------------

  CREATE UNIQUE INDEX "PTSPTS"."SYS_C00110363" ON "PTSPTS"."T_REG_PT" ("NO_PERUSAHAAN") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS" ;
--------------------------------------------------------
--  DDL for Index SYS_C0097444
--------------------------------------------------------

  CREATE UNIQUE INDEX "PTSPTS"."SYS_C0097444" ON "PTSPTS"."T_SPIPISE_IP" ("ID_QRCODE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS" ;
--------------------------------------------------------
--  DDL for Index SYS_C0097458
--------------------------------------------------------

  CREATE UNIQUE INDEX "PTSPTS"."SYS_C0097458" ON "PTSPTS"."TRACKING_REGISTER_DETAIL" ("ID_TRACKING_REGISTER_DETAIL") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS" ;
--------------------------------------------------------
--  DDL for Index TRACKING_REGISTER_DETAIL_ST_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "PTSPTS"."TRACKING_REGISTER_DETAIL_ST_PK" ON "PTSPTS"."TRACKING_REGISTER_DETAIL_STOP" ("ID_STOP") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index SYS_C0097448
--------------------------------------------------------

  CREATE UNIQUE INDEX "PTSPTS"."SYS_C0097448" ON "PTSPTS"."TRACKING_REGISTER_HEADER" ("ID_QRCODE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS" ;
--------------------------------------------------------
--  Constraints for Table HITUNG_PERIZINAN_HARIAN
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."HITUNG_PERIZINAN_HARIAN" ADD CONSTRAINT "SYS_C0097416" PRIMARY KEY ("HARI", "ID_M_INSTANSI", "ID_M_JENIS_PERIZINAN")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS"  ENABLE;
  ALTER TABLE "PTSPTS"."HITUNG_PERIZINAN_HARIAN" MODIFY ("ID_M_JENIS_PERIZINAN" NOT NULL ENABLE);
  ALTER TABLE "PTSPTS"."HITUNG_PERIZINAN_HARIAN" MODIFY ("ID_M_INSTANSI" NOT NULL ENABLE);
  ALTER TABLE "PTSPTS"."HITUNG_PERIZINAN_HARIAN" MODIFY ("HARI" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table HITUNG_PERIZINAN_ON_PROSES
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."HITUNG_PERIZINAN_ON_PROSES" ADD CONSTRAINT "SYS_C0097419" PRIMARY KEY ("ID_M_INSTANSI", "ID_M_JENIS_PERIZINAN")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2"  ENABLE;
  ALTER TABLE "PTSPTS"."HITUNG_PERIZINAN_ON_PROSES" MODIFY ("ID_M_JENIS_PERIZINAN" NOT NULL ENABLE);
  ALTER TABLE "PTSPTS"."HITUNG_PERIZINAN_ON_PROSES" MODIFY ("ID_M_INSTANSI" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table M_BIDANG_USAHA
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."M_BIDANG_USAHA" ADD CONSTRAINT "SYS_C0097425" PRIMARY KEY ("ID_M_BIDANG_USAHA")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2"  ENABLE;
  ALTER TABLE "PTSPTS"."M_BIDANG_USAHA" MODIFY ("ID_M_BIDANG_USAHA" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table M_DIREKTORAT
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."M_DIREKTORAT" ADD CONSTRAINT "SYS_C0097427" PRIMARY KEY ("ID_M_DIREKTORAT")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2"  ENABLE;
  ALTER TABLE "PTSPTS"."M_DIREKTORAT" MODIFY ("ID_M_DIREKTORAT" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table M_INSTANSI
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."M_INSTANSI" ADD CONSTRAINT "SYS_C0097429" PRIMARY KEY ("ID_M_INSTANSI")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2"  ENABLE;
  ALTER TABLE "PTSPTS"."M_INSTANSI" MODIFY ("ID_M_INSTANSI" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table M_JENIS_PERIZINAN
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."M_JENIS_PERIZINAN" ADD CONSTRAINT "SYS_C0097431" PRIMARY KEY ("ID_M_JENIS_PERIZINAN")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2"  ENABLE;
  ALTER TABLE "PTSPTS"."M_JENIS_PERIZINAN" MODIFY ("ID_M_JENIS_PERIZINAN" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table M_JENIS_PERIZINAN_TEMPLATE
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."M_JENIS_PERIZINAN_TEMPLATE" ADD CONSTRAINT "ID_M_JENIS_PERIZINAN_TEMPLATE" PRIMARY KEY ("ID_M_JENIS_PERIZINAN_TEMPLATE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "PTSPTS"."M_JENIS_PERIZINAN_TEMPLATE" MODIFY ("ID_M_JENIS_PERIZINAN_TEMPLATE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table M_KATEGORI_BIDANG_USAHA
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."M_KATEGORI_BIDANG_USAHA" MODIFY ("ID_KATEGORI_BIDANG_USAHA" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table M_KLASI_PERIZINAN_DETAIL
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."M_KLASI_PERIZINAN_DETAIL" ADD CONSTRAINT "SYS_C0097433" PRIMARY KEY ("ID_M_KLASI_PERIZINAN_DETAIL")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2"  ENABLE;
  ALTER TABLE "PTSPTS"."M_KLASI_PERIZINAN_DETAIL" MODIFY ("ID_M_KLASI_PERIZINAN_DETAIL" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table M_KLASI_PERIZINAN_HEADER
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."M_KLASI_PERIZINAN_HEADER" ADD CONSTRAINT "SYS_C0097435" PRIMARY KEY ("ID_M_KLASI_PERIZINAN_HEADER")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2"  ENABLE;
  ALTER TABLE "PTSPTS"."M_KLASI_PERIZINAN_HEADER" MODIFY ("ID_M_KLASI_PERIZINAN_HEADER" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table M_LOOKUP
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."M_LOOKUP" ADD CONSTRAINT "SYS_C0097438" PRIMARY KEY ("JENIS_LOOKUP", "ID_LOOKUP")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2"  ENABLE;
  ALTER TABLE "PTSPTS"."M_LOOKUP" MODIFY ("ID_LOOKUP" NOT NULL ENABLE);
  ALTER TABLE "PTSPTS"."M_LOOKUP" MODIFY ("JENIS_LOOKUP" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table M_MENUS
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."M_MENUS" MODIFY ("ID_M_MENUS" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table M_ROLES
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."M_ROLES" ADD CONSTRAINT "SYS_C0098294" PRIMARY KEY ("ID_M_ROLES")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2"  ENABLE;
  ALTER TABLE "PTSPTS"."M_ROLES" MODIFY ("ID_M_ROLES" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table M_SOP_SLA
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."M_SOP_SLA" ADD CONSTRAINT "M_SOP_SLA_PK" PRIMARY KEY ("ID_M_SOP_SLA")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "PTSPTS"."M_SOP_SLA" MODIFY ("ID_M_SOP_SLA" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table M_USER
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."M_USER" ADD CONSTRAINT "SYS_C0097440" PRIMARY KEY ("ID_M_USER")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2"  ENABLE;
  ALTER TABLE "PTSPTS"."M_USER" MODIFY ("ID_M_USER" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table MAP_SOP_WARNING
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."MAP_SOP_WARNING" ADD CONSTRAINT "SYS_C0098293" PRIMARY KEY ("SOP")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2"  ENABLE;
  ALTER TABLE "PTSPTS"."MAP_SOP_WARNING" MODIFY ("SOP" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table T_KONSULTASI
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."T_KONSULTASI" MODIFY ("ID_KONSULTASI" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table T_M_LIBUR
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."T_M_LIBUR" MODIFY ("TANGGAL_LIBUR" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table T_REG_PT
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."T_REG_PT" ADD CONSTRAINT "SYS_C00110363" PRIMARY KEY ("NO_PERUSAHAAN")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS"  ENABLE;
  ALTER TABLE "PTSPTS"."T_REG_PT" MODIFY ("NO_PERUSAHAAN" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table T_SPIPISE_IP
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."T_SPIPISE_IP" ADD CONSTRAINT "SYS_C0097444" PRIMARY KEY ("ID_QRCODE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS"  ENABLE;
  ALTER TABLE "PTSPTS"."T_SPIPISE_IP" MODIFY ("ID_QRCODE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table TRACKING_REGISTER_DETAIL
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."TRACKING_REGISTER_DETAIL" ADD CONSTRAINT "SYS_C0097458" PRIMARY KEY ("ID_TRACKING_REGISTER_DETAIL")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS"  ENABLE;
  ALTER TABLE "PTSPTS"."TRACKING_REGISTER_DETAIL" MODIFY ("ID_TRACKING_REGISTER_DETAIL" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table TRACKING_REGISTER_DETAIL_STOP
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."TRACKING_REGISTER_DETAIL_STOP" ADD CONSTRAINT "TRACKING_REGISTER_DETAIL_ST_PK" PRIMARY KEY ("ID_STOP")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "PTSPTS"."TRACKING_REGISTER_DETAIL_STOP" MODIFY ("ID_STOP" NOT NULL ENABLE);
  ALTER TABLE "PTSPTS"."TRACKING_REGISTER_DETAIL_STOP" MODIFY ("ID_TRACKING_REGISTER_DETAIL" NOT NULL ENABLE);
  ALTER TABLE "PTSPTS"."TRACKING_REGISTER_DETAIL_STOP" MODIFY ("ID_QRCODE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table TRACKING_REGISTER_HEADER
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."TRACKING_REGISTER_HEADER" ADD CONSTRAINT "SYS_C0097448" PRIMARY KEY ("ID_QRCODE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS"  ENABLE;
  ALTER TABLE "PTSPTS"."TRACKING_REGISTER_HEADER" MODIFY ("ID_QRCODE" NOT NULL ENABLE);
--------------------------------------------------------
--  DDL for Trigger M_BIDANG_USAHA_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "PTSPTS"."M_BIDANG_USAHA_TRG" BEFORE INSERT ON PTSPTS.m_bidang_usaha FOR EACH ROW
BEGIN
  :NEW.ID_M_Bidang_Usaha:= m_bidang_usaha_seq.NEXTVAL;
END;
/
ALTER TRIGGER "PTSPTS"."M_BIDANG_USAHA_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger M_DIREKTORAT_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "PTSPTS"."M_DIREKTORAT_TRG" BEFORE INSERT ON PTSPTS.m_direktorat FOR EACH ROW
BEGIN
  :NEW.ID_M_Direktorat:= m_direktorat_seq.NEXTVAL;
END;
/
ALTER TRIGGER "PTSPTS"."M_DIREKTORAT_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger M_INSTANSI_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "PTSPTS"."M_INSTANSI_TRG" BEFORE INSERT ON PTSPTS.m_instansi FOR EACH ROW
BEGIN
  :NEW.ID_M_Instansi:= m_instansi_seq.NEXTVAL;
END;
/
ALTER TRIGGER "PTSPTS"."M_INSTANSI_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger M_JENIS_PERIZINAN_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "PTSPTS"."M_JENIS_PERIZINAN_TRG" BEFORE INSERT ON PTSPTS.m_jenis_perizinan FOR EACH ROW
BEGIN
  :NEW.ID_M_Jenis_Perizinan:= m_jenis_perizinan_seq.NEXTVAL;
END;
/
ALTER TRIGGER "PTSPTS"."M_JENIS_PERIZINAN_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger M_KLASI_PERIZINAN_DETAIL_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "PTSPTS"."M_KLASI_PERIZINAN_DETAIL_TRG" BEFORE INSERT ON PTSPTS.m_klasi_perizinan_detail FOR EACH ROW
BEGIN
  :NEW.ID_M_klasi_Perizinan_Detail:= m_klasi_perizinan_detail_seq.NEXTVAL;
END;
/
ALTER TRIGGER "PTSPTS"."M_KLASI_PERIZINAN_DETAIL_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger M_ROLES_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "PTSPTS"."M_ROLES_TRG" BEFORE INSERT ON PTSPTS.m_roles FOR EACH ROW
BEGIN
  :NEW.ID_M_ROLES:= m_roles_seq.NEXTVAL;
END;
/
ALTER TRIGGER "PTSPTS"."M_ROLES_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger ROLES_BIR
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "PTSPTS"."ROLES_BIR" BEFORE INSERT ON "PTSPTS".m_roles 
FOR EACH ROW

BEGIN
  SELECT roles_seq.NEXTVAL
  INTO   :new.ID_M_ROLES
  FROM   dual;
END;
/
ALTER TRIGGER "PTSPTS"."ROLES_BIR" ENABLE;
--------------------------------------------------------
--  DDL for Trigger T_KONSULTASI_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "PTSPTS"."T_KONSULTASI_TRG" BEFORE INSERT ON PTSPTS.t_konsultasi FOR EACH ROW
BEGIN
  :NEW.ID_KONSULTASI:= PTSPTS.t_konsultasi_seq.NEXTVAL;
END;
/
ALTER TRIGGER "PTSPTS"."T_KONSULTASI_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger T_REG_PT_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "PTSPTS"."T_REG_PT_TRG" BEFORE INSERT ON PTSPTS.T_REG_PT FOR EACH ROW
DECLARE 
 ID_SEQ  NUMBER;
BEGIN
  ID_SEQ := PTSPTS.T_REG_PT_SEQ.NEXTVAL;
  :NEW.ID_QRCODE:= 'IP'||ID_SEQ;
  if :NEW.NO_PERUSAHAAN = 0
  then :NEW.NO_PERUSAHAAN:= ID_SEQ;
  end if;
  
END;ALTER TRIGGER PTSPTS."T_REG_PT_TRG" DISABLE
/
ALTER TRIGGER "PTSPTS"."T_REG_PT_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Trigger TRACKING_REGISTER_DETAIL_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "PTSPTS"."TRACKING_REGISTER_DETAIL_TRG" BEFORE INSERT ON PTSPTS.tracking_register_detail FOR EACH ROW
BEGIN
  :NEW.ID_Tracking_Register_Detail:= tracking_register_detail_seq.NEXTVAL;
END;
/
ALTER TRIGGER "PTSPTS"."TRACKING_REGISTER_DETAIL_TRG" ENABLE;
